示例#1
0
        public static ObjectIdCollection GetSelection()
        {
            ObjectIdCollection oids = new ObjectIdCollection();

            Autodesk.AutoCAD.EditorInput.SelectionSet selection = null;
            selection = BBC.Common.AutoCAD.SelectionManager.GetSelectionSet("");

            foreach (ObjectId obj in selection.GetObjectIds())
            {
                if (obj.IsErased)
                {
                    continue;
                }
                else
                {
                    oids.Add(obj);
                }
            }
            return(oids);
        }
示例#2
0
 SelectionSet(string label, Autodesk.AutoCAD.EditorInput.SelectionSet val)
     :   base(label)
 {
     m_val = val;
 }